import React from 'react';
import { ModalProps, ViewStyle, TextStyle, ImageStyle } from 'react-native';
interface PopupProps {
    isVisible: boolean;
    showHeader?: boolean;
    customHeader?: JSX.Element;
    customFooter?: JSX.Element;
    onAppPressed: (app: string) => void;
    onCancelPressed: () => void;
    style?: {
        container?: ViewStyle;
        itemContainer?: ViewStyle;
        image?: ImageStyle;
        itemText?: TextStyle;
        headerContainer?: ViewStyle;
        titleText?: TextStyle;
        subtitleText?: TextStyle;
        cancelButtonContainer?: ViewStyle;
        cancelButtonText?: TextStyle;
        separatorStyle?: ViewStyle;
        activityIndicatorContainer?: ViewStyle;
    };
    modalProps?: ModalProps;
    options: {
        dialogTitle?: string;
        dialogMessage?: string;
        cancelText?: string;
        appTitles?: Record<string, string>;
        alwaysIncludeGoogle?: boolean;
        naverCallerName?: string;
        latitude: number;
        longitude: number;
        title?: string;
    };
    appsWhiteList?: string[];
    setIsVisible: (isVisible: boolean) => void;
}
export declare const Popup: React.FC<PopupProps>;
export {};
